Bug 1770393 - Web ui spinner from red hat repositories page keeps loading on enabling/disabling repository
Summary: Web ui spinner from red hat repositories page keeps loading on enabling/disab...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1770666 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-08 21:25 UTC by Nikhil Kathole
Modified: 2020-04-14 13:26 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0-0.4.rc2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Repo enable (472.84 KB, application/x-matroska)
2019-11-08 21:26 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28238 Normal Closed Web ui spinner from red hat repositories page keeps loading on enabling/disabling repository 2020-05-05 13:31:49 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:33 UTC

Description Nikhil Kathole 2019-11-08 21:25:29 UTC
Description of problem:
Web ui spinner  from red hat repositories page keeps loading on enabling/disabling repository and no notification on repository enabled.
See attachment.

After refreshing the page, it shows repository enabled/disabled.


Version-Release number of selected component (if applicable):
Satellite 6.7 snap 1

How reproducible:
always

Steps to Reproduce:
1. Navigate to Red Hat repository page
2. Try to enable any repo

Actual results:
Web ui spinner from red hat repositories page keeps loading.

Expected results:
Web ui spinner should stop and notification of repo enabled.disabled should show.

Additional info:

Comment 3 Nikhil Kathole 2019-11-08 21:26:50 UTC
Created attachment 1634143 [details]
Repo enable

Comment 4 Nikhil Kathole 2019-11-11 12:07:10 UTC
*** Bug 1770666 has been marked as a duplicate of this bug. ***

Comment 5 Walden Raines 2019-11-11 16:20:48 UTC
(In reply to Nikhil Kathole from comment #0)
> Description of problem:
> Web ui spinner  from red hat repositories page keeps loading on
> enabling/disabling repository and no notification on repository enabled.
> See attachment.
> 
> After refreshing the page, it shows repository enabled/disabled.
> 
> 
> Version-Release number of selected component (if applicable):
> Satellite 6.7 snap 1
> 
> How reproducible:
> always
> 
> Steps to Reproduce:
> 1. Navigate to Red Hat repository page
> 2. Try to enable any repo
> 
> Actual results:
> Web ui spinner from red hat repositories page keeps loading.
> 
> Expected results:
> Web ui spinner should stop and notification of repo enabled.disabled should
> show.
> 
> Additional info:

Are there any javascript errors in the browser console when this happens?

Comment 6 Walden Raines 2019-11-11 16:23:30 UTC
Created redmine issue https://projects.theforeman.org/issues/28238 from this bug

Comment 7 Nikhil Kathole 2019-11-11 16:24:32 UTC
Error in web console:


katello-243d19cae962ae34037e.js:1 Uncaught (in promise) TypeError: Cannot read property 'success' of undefined
    at t.<anonymous> (katello-243d19cae962ae34037e.js:1)
    at c (runtime.js:45)
    at Generator._invoke (runtime.js:271)
    at Generator.e.<computed> [as next] (runtime.js:97)
    at a (katello-243d19cae962ae34037e.js:1)
    at katello-243d19cae962ae34037e.js:1
    at new Promise (<anonymous>)
    at t.<anonymous> (katello-243d19cae962ae34037e.js:1)
    at t.o.reloadAndNotify (katello-243d19cae962ae34037e.js:1)
    at t.<anonymous> (katello-243d19cae962ae34037e.js:1)

Comment 8 Walden Raines 2019-11-14 21:49:05 UTC
PR: https://github.com/Katello/katello/pull/8434

Comment 9 Bryan Kearney 2019-11-15 17:01:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28238 has been resolved.

Comment 10 Nikhil Kathole 2019-12-02 14:16:03 UTC
VERIFIED

Version tested:

Satellite 6.7 snap 4

Web UI spinner loading completed and notification of enabling/disabling repositories showed.

Comment 14 errata-xmlrpc 2020-04-14 13:26:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.